Agara

Get an order by hash

GET
/trade/v1/orders/by-hash/{order_hash}

Authorization

Authorization
Required
Bearer <token>

Personal access token issued from the web app's Settings → API tokens page. Send as Authorization: Bearer agt_….

In: header

Scope: orders:read

Path Parameters

order_hash
Required
string

EIP-712 order hash supplied when the signed order was placed.

curl -X GET "https://app.agara.xyz/trade/v1/orders/by-hash/string" \
  -H "Authorization: Bearer <token>"

Order detail with current status and fill state.

{
  "markets": {
    "property1": {
      "display": {
        "market": {},
        "outcome": {}
      },
      "event_slug": "string",
      "logo_url": "string",
      "market_id": "6364d859-8e1b-477a-bacc-de8305a9292b",
      "market_title": "string",
      "outcome_name": "string"
    },
    "property2": {
      "display": {
        "market": {},
        "outcome": {}
      },
      "event_slug": "string",
      "logo_url": "string",
      "market_id": "6364d859-8e1b-477a-bacc-de8305a9292b",
      "market_title": "string",
      "outcome_name": "string"
    }
  },
  "order": {
    "avg_fill_price_micro": "1000000",
    "cancel_requested_at": "2019-08-24T14:15:22Z",
    "collateral_amount_micro": "1000000",
    "condition_id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "error": "string",
    "exchange": "AGARA",
    "expiration": "2019-08-24T14:15:22Z",
    "internal_id": "c13c6907-8dc3-4479-a9ee-0b258d87c410",
    "original_size_micro": "1000000",
    "price_micro": "1000000",
    "side": "BUY",
    "size_matched_micro": "1000000",
    "status": "PENDING",
    "token_id": "string",
    "type": "LIMIT"
  }
}